Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bump codecov/codecov-action from 2 to 3 #133

Merged

Conversation

dependabot[bot]
Copy link
Contributor

@dependabot dependabot bot commented Apr 6, 2022

Bumps codecov/codecov-action from 2 to 3.

Release notes

Sourced from codecov/codecov-action's releases.

v3.0.0

Breaking Changes

  • #689 Bump to node16 and small fixes

Features

  • #688 Incorporate gcov arguments for the Codecov uploader

Dependencies

  • #548 build(deps-dev): bump jest-junit from 12.2.0 to 13.0.0
  • #603 [Snyk] Upgrade @​actions/core from 1.5.0 to 1.6.0
  • #628 build(deps): bump node-fetch from 2.6.1 to 3.1.1
  • #634 build(deps): bump node-fetch from 3.1.1 to 3.2.0
  • #636 build(deps): bump openpgp from 5.0.1 to 5.1.0
  • #652 build(deps-dev): bump @​vercel/ncc from 0.30.0 to 0.33.3
  • #653 build(deps-dev): bump @​types/node from 16.11.21 to 17.0.18
  • #659 build(deps-dev): bump @​types/jest from 27.4.0 to 27.4.1
  • #667 build(deps): bump actions/checkout from 2 to 3
  • #673 build(deps): bump node-fetch from 3.2.0 to 3.2.3
  • #683 build(deps): bump minimist from 1.2.5 to 1.2.6
  • #685 build(deps): bump @​actions/github from 5.0.0 to 5.0.1
  • #681 build(deps-dev): bump @​types/node from 17.0.18 to 17.0.23
  • #682 build(deps-dev): bump typescript from 4.5.5 to 4.6.3
  • #676 build(deps): bump @​actions/exec from 1.1.0 to 1.1.1
  • #675 build(deps): bump openpgp from 5.1.0 to 5.2.1

v2.1.0

2.1.0

Features

  • #515 Allow specifying version of Codecov uploader

Dependencies

  • #499 build(deps-dev): bump @​vercel/ncc from 0.29.0 to 0.30.0
  • #508 build(deps): bump openpgp from 5.0.0-5 to 5.0.0
  • #514 build(deps-dev): bump @​types/node from 16.6.0 to 16.9.0

v2.0.3

2.0.3

Fixes

  • #464 Fix wrong link in the readme
  • #485 fix: Add override OS and linux default to platform

Dependencies

  • #447 build(deps): bump openpgp from 5.0.0-4 to 5.0.0-5
  • #458 build(deps-dev): bump eslint from 7.31.0 to 7.32.0
  • #465 build(deps-dev): bump @​typescript-eslint/eslint-plugin from 4.28.4 to 4.29.1
  • #466 build(deps-dev): bump @​typescript-eslint/parser from 4.28.4 to 4.29.1
  • #468 build(deps-dev): bump @​types/jest from 26.0.24 to 27.0.0
  • #470 build(deps-dev): bump @​types/node from 16.4.0 to 16.6.0
  • #472 build(deps): bump path-parse from 1.0.6 to 1.0.7
  • #473 build(deps-dev): bump @​types/jest from 27.0.0 to 27.0.1

... (truncated)

Changelog

Sourced from codecov/codecov-action's changelog.

3.0.0

Breaking Changes

  • #689 Bump to node16 and small fixes

Features

  • #688 Incorporate gcov arguments for the Codecov uploader

Dependencies

  • #548 build(deps-dev): bump jest-junit from 12.2.0 to 13.0.0
  • #603 [Snyk] Upgrade @​actions/core from 1.5.0 to 1.6.0
  • #628 build(deps): bump node-fetch from 2.6.1 to 3.1.1
  • #634 build(deps): bump node-fetch from 3.1.1 to 3.2.0
  • #636 build(deps): bump openpgp from 5.0.1 to 5.1.0
  • #652 build(deps-dev): bump @​vercel/ncc from 0.30.0 to 0.33.3
  • #653 build(deps-dev): bump @​types/node from 16.11.21 to 17.0.18
  • #659 build(deps-dev): bump @​types/jest from 27.4.0 to 27.4.1
  • #667 build(deps): bump actions/checkout from 2 to 3
  • #673 build(deps): bump node-fetch from 3.2.0 to 3.2.3
  • #683 build(deps): bump minimist from 1.2.5 to 1.2.6
  • #685 build(deps): bump @​actions/github from 5.0.0 to 5.0.1
  • #681 build(deps-dev): bump @​types/node from 17.0.18 to 17.0.23
  • #682 build(deps-dev): bump typescript from 4.5.5 to 4.6.3
  • #676 build(deps): bump @​actions/exec from 1.1.0 to 1.1.1
  • #675 build(deps): bump openpgp from 5.1.0 to 5.2.1

2.1.0

Features

  • #515 Allow specifying version of Codecov uploader

Dependencies

  • #499 build(deps-dev): bump @​vercel/ncc from 0.29.0 to 0.30.0
  • #508 build(deps): bump openpgp from 5.0.0-5 to 5.0.0
  • #514 build(deps-dev): bump @​types/node from 16.6.0 to 16.9.0

2.0.3

Fixes

  • #464 Fix wrong link in the readme
  • #485 fix: Add override OS and linux default to platform

Dependencies

  • #447 build(deps): bump openpgp from 5.0.0-4 to 5.0.0-5
  • #458 build(deps-dev): bump eslint from 7.31.0 to 7.32.0
  • #465 build(deps-dev): bump @​typescript-eslint/eslint-plugin from 4.28.4 to 4.29.1
  • #466 build(deps-dev): bump @​typescript-eslint/parser from 4.28.4 to 4.29.1
  • #468 build(deps-dev): bump @​types/jest from 26.0.24 to 27.0.0
  • #470 build(deps-dev): bump @​types/node from 16.4.0 to 16.6.0
  • #472 build(deps): bump path-parse from 1.0.6 to 1.0.7
  • #473 build(deps-dev): bump @​types/jest from 27.0.0 to 27.0.1
  • #478 build(deps-dev): bump @​typescript-eslint/parser from 4.29.1 to 4.29.2
  • #479 build(deps-dev): bump @​typescript-eslint/eslint-plugin from 4.29.1 to 4.29.2

... (truncated)

Commits
  • e3c5604 Merge pull request #689 from codecov/feat/gcov
  • 174efc5 Update package-lock.json
  • 6243a75 bump to 3.0.0
  • 0d6466f Bump to node16
  • d4729ee fetch.default
  • 351baf6 fix: bash
  • d8cf680 Merge pull request #675 from codecov/dependabot/npm_and_yarn/openpgp-5.2.1
  • b775e90 Merge pull request #676 from codecov/dependabot/npm_and_yarn/actions/exec-1.1.1
  • 2ebc2f0 Merge pull request #682 from codecov/dependabot/npm_and_yarn/typescript-4.6.3
  • 8e2ef2b Merge pull request #681 from codecov/dependabot/npm_and_yarn/types/node-17.0.23
  • Additional commits viewable in compare view

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

Bumps [codecov/codecov-action](https://github.com/codecov/codecov-action) from 2 to 3.
- [Release notes](https://github.com/codecov/codecov-action/releases)
- [Changelog](https://github.com/codecov/codecov-action/blob/master/CHANGELOG.md)
- [Commits](codecov/codecov-action@v2...v3)

---
updated-dependencies:
- dependency-name: codecov/codecov-action
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
@crazy-max crazy-max merged commit 74283ca into master Apr 12, 2022
27 checks passed
@dependabot dependabot bot deleted the dependabot/github_actions/codecov/codecov-action-3 branch Apr 12, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

1 participant